/* GNOME Card Main Function
 * Copyright (C) 2003  Sebastian Rittau <srittau@jroger.in-berlin.de>
 *
 * $Id: gnomecard-main.c,v 1.1 2003/01/12 16:38:58 srittau Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <libintl.h>
#include <locale.h>

#include <mimedir/mimedir-init.h>

#include <gnome.h>

#include "gnomecard-main-window.h"
#include "gnomecard-ui.h"


int
main (int argc, char *argv[])
{
	/* I18n setup */

	setlocale (LC_ALL, "");
	bindtextdomain (GETTEXT_PACKAGE, GNOMELOCALEDIR);
	bind_textdomain_codeset (GETTEXT_PACKAGE, "UTF-8");
	textdomain (GETTEXT_PACKAGE);

	/* Initializations */

	mimedir_init ();

	gnome_program_init ("gnomecard", VERSION,
			    LIBGNOMEUI_MODULE,
			    argc, argv,
			    GNOME_PROGRAM_STANDARD_PROPERTIES,
			    NULL);

	gncard_ui_init ();
	gncard_ui_open_main_window ();

	/* Open file (from command line) */

	/* FIXME: load file from command line or default file */

	/* Main loop */

	gncard_ui_run ();

	/* Cleanup */

	gncard_ui_fini ();

	return 0;
}
